Skala
Procurement orders

Create a new procurement order

Adds a new procurement order record to the database.

POST
/api/procurement_orders

Adds a new procurement order record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new ProcurementOrder resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/procurement_orders" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "replyTo": "string",    "template": "/entity/1",    "body": "string",    "subject": "string"  }'
{
  "id": 0,
  "supplier": {
    "id": 0,
    "name": "string",
    "email": "string"
  },
  "forwarded": true,
  "expectedDate": "2019-08-24T14:15:22Z",
  "archived": true,
  "procurementOrderItems": [
    {
      "id": 0,
      "variant": {
        "id": 0,
        "stock": {
          "id": 0,
          "unit": {
            "id": 0,
            "name": "string"
          }
        },
        "code": "string",
        "name": "string"
      },
      "quantity": 0
    }
  ],
  "email": "string",
  "replyTo": "string",
  "template": "/entity/1",
  "body": "string",
  "subject": "string"
}
Empty
Empty